var NicePanel = new Class({
    Implements:[Options],
    options:{
        positions:{},
        accordions:{}
    },
    initialize: function(options) { 
        var self = this;
        self.setOptions(options);
        self.createAccordions();
    },
    createAccordions:function(){
        var self = this;
        var panelparent;
        var panelcontents;
        var paneltabs;
        Object.each(self.options.positions,function(name,position){
            panelparent = document.id('plg_system_nicepanel_'+position);
            panelcontents = panelparent.getChildren('div.plg_system_nicepanel_tabcontent');
            paneltabs = panelparent.getElements('li.plg_system_nicepanel_tab a');
            self.options.accordions[name] = new Fx.Accordion(paneltabs,panelcontents,{
                alwaysHide:true,
                display:-1,
                opacity:false,
                onActive:function(toggler,element){
                    toggler.addClass('plg_system_nicepanel_tabopen');
                    element.addClass('plg_system_nicepanel_contentopen');
                },
                onBackground:function(toggler,element){
                    toggler.removeClass('plg_system_nicepanel_tabopen');
                    element.removeClass('plg_system_nicepanel_contentopen');
                }
            });            
        });
    }
});
window.addEvent('domready',function(){
    var np = new NicePanel(window.plg_system_nicepanel_options);
})